過去払戻データを取得

POST/dhj

テーブル: d_hj(過去の払戻データ)

過去レースの的中組番・払戻金・人気を期間指定で取得します。 バックテストの収支計算はこのデータを正として行ってください。

リクエストURL

POST https://dev.api.bigtime.world/v1/dhj?api_key=API_KEY

クエリパラメータ

パラメータ型必須説明
api_keystring必須API Key例: API_KEY

リクエストボディ

パラメータ型必須説明
start_racedatestring-開始日(YYYYMMDD形式)例: 20251101
end_racedatestring-終了日(YYYYMMDD形式)例: 20251130
racekeystring-レースキー(8桁)例: 05250101

リクエスト例

期間指定で取得

{
  "start_racedate": "20251101",
  "end_racedate": "20251130"
}

レースキーで取得

{
  "racekey": "05250101"
}

サンプルコード

import requests

# ダッシュボードで取得した値をそれぞれ貼り付け
# API_KEY: APIキー(アプリ共通)
# YOUR_AUTH_KEY: 認証キー (x-user-key)

url = "https://dev.api.bigtime.world/v1/dhj"

params = {"api_key": "API_KEY"}
headers = {
    "Content-Type": "application/json",
    "x-user-key": "YOUR_AUTH_KEY"
}

payload = {
  "start_racedate": "20251101",
  "end_racedate": "20251130"
}

response = requests.post(url, params=params, headers=headers, json=payload)
data = response.json()

print(data)

レスポンス

成功時は以下の形式でデータが返されます。

サンプルレスポンス

{
  "request": {
    "parameters": {
      "start_racedate": "20251101",
      "end_racedate": "20251130",
      "racekey": "05250101"
    }
  },
  "result": {
    "status": 200,
    "endpoint_uri": "/v1/dhj",
    "membershipLimit": "paid members",
    "result_count": 1,
    "data": [
      {
        "racedate": "20251129",
        "racekey": "05250101",
        "win_horse_number_1": "sample",
        "win_payoff_1": "sample",
        "win_popularity_1": "sample",
        "win_horse_number_2": "sample",
        "win_payoff_2": "sample",
        "win_popularity_2": "sample",
        "win_horse_number_3": "sample",
        "win_payoff_3": "sample",
        "win_popularity_3": "sample",
        "place_horse_number_1": "sample",
        "place_payoff_1": "sample",
        "place_popularity_1": "sample",
        "place_horse_number_2": "sample",
        "place_payoff_2": "sample",
        "place_popularity_2": "sample",
        "place_horse_number_3": "sample",
        "place_payoff_3": "sample",
        "place_popularity_3": "sample",
        "place_horse_number_4": "sample",
        "place_payoff_4": "sample",
        "place_popularity_4": "sample",
        "place_horse_number_5": "sample",
        "place_payoff_5": "sample",
        "place_popularity_5": "sample",
        "bracket_quinella_number_1": "sample",
        "bracket_quinella_payoff_1": "sample",
        "bracket_quinella_popularity_1": "sample",
        "bracket_quinella_number_2": "sample",
        "bracket_quinella_payoff_2": "sample",
        "bracket_quinella_popularity_2": "sample",
        "bracket_quinella_number_3": "sample",
        "bracket_quinella_payoff_3": "sample",
        "bracket_quinella_popularity_3": "sample",
        "quinella_number_1": "sample",
        "quinella_payoff_1": "sample",
        "quinella_popularity_1": "sample",
        "quinella_number_2": "sample",
        "quinella_payoff_2": "sample",
        "quinella_popularity_2": "sample",
        "quinella_number_3": "sample",
        "quinella_payoff_3": "sample",
        "quinella_popularity_3": "sample",
        "quinella_place_number_1": "sample",
        "quinella_place_payoff_1": "sample",
        "quinella_place_popularity_1": "sample",
        "quinella_place_number_2": "sample",
        "quinella_place_payoff_2": "sample",
        "quinella_place_popularity_2": "sample",
        "quinella_place_number_3": "sample",
        "quinella_place_payoff_3": "sample",
        "quinella_place_popularity_3": "sample",
        "quinella_place_number_4": "sample",
        "quinella_place_payoff_4": "sample",
        "quinella_place_popularity_4": "sample",
        "quinella_place_number_5": "sample",
        "quinella_place_payoff_5": "sample",
        "quinella_place_popularity_5": "sample",
        "quinella_place_number_6": "sample",
        "quinella_place_payoff_6": "sample",
        "quinella_place_popularity_6": "sample",
        "quinella_place_number_7": "sample",
        "quinella_place_payoff_7": "sample",
        "quinella_place_popularity_7": "sample",
        "exacta_number_1": "sample",
        "exacta_payoff_1": "sample",
        "exacta_popularity_1": "sample",
        "exacta_number_2": "sample",
        "exacta_payoff_2": "sample",
        "exacta_popularity_2": "sample",
        "exacta_number_3": "sample",
        "exacta_payoff_3": "sample",
        "exacta_popularity_3": "sample",
        "exacta_number_4": "sample",
        "exacta_payoff_4": "sample",
        "exacta_popularity_4": "sample",
        "exacta_number_5": "sample",
        "exacta_payoff_5": "sample",
        "exacta_popularity_5": "sample",
        "exacta_number_6": "sample",
        "exacta_payoff_6": "sample",
        "exacta_popularity_6": "sample",
        "trio_number_1": "sample",
        "trio_payoff_1": "sample",
        "trio_popularity_1": "sample",
        "trio_number_2": "sample",
        "trio_payoff_2": "sample",
        "trio_popularity_2": "sample",
        "trio_number_3": "sample",
        "trio_payoff_3": "sample",
        "trio_popularity_3": "sample",
        "trifecta_number_1": "sample",
        "trifecta_payoff_1": "sample",
        "trifecta_popularity_1": "sample",
        "trifecta_number_2": "sample",
        "trifecta_payoff_2": "sample",
        "trifecta_popularity_2": "sample",
        "trifecta_number_3": "sample",
        "trifecta_payoff_3": "sample",
        "trifecta_popularity_3": "sample",
        "trifecta_number_4": "sample",
        "trifecta_payoff_4": "sample",
        "trifecta_popularity_4": "sample",
        "trifecta_number_5": "sample",
        "trifecta_payoff_5": "sample",
        "trifecta_popularity_5": "sample",
        "trifecta_number_6": "sample",
        "trifecta_payoff_6": "sample",
        "trifecta_popularity_6": "sample",
        "refund_number_1": "sample",
        "refund_number_2": "sample",
        "refund_number_3": "sample",
        "refund_number_4": "sample",
        "refund_number_5": "sample",
        "updated_at": "20251129"
      }
    ]
  }
}

レスポンスフィールド

パラメータ型必須説明
racedatestring| null-開催日(YYYYMMDD)
racekeystring| null-レースキー
win_horse_number_1string| null-単勝の的中馬番(1件目)
win_payoff_1string| null-単勝の払戻金(1件目。100円あたりの金額)
win_popularity_1string| null-単勝の人気(1件目)
win_horse_number_2string| null-単勝の的中馬番(2件目)
win_payoff_2string| null-単勝の払戻金(2件目。100円あたりの金額)
win_popularity_2string| null-単勝の人気(2件目)
win_horse_number_3string| null-単勝の的中馬番(3件目)
win_payoff_3string| null-単勝の払戻金(3件目。100円あたりの金額)
win_popularity_3string| null-単勝の人気(3件目)
place_horse_number_1string| null-複勝の的中馬番(1件目)
place_payoff_1string| null-複勝の払戻金(1件目。100円あたりの金額)
place_popularity_1string| null-複勝の人気(1件目)
place_horse_number_2string| null-複勝の的中馬番(2件目)
place_payoff_2string| null-複勝の払戻金(2件目。100円あたりの金額)
place_popularity_2string| null-複勝の人気(2件目)
place_horse_number_3string| null-複勝の的中馬番(3件目)
place_payoff_3string| null-複勝の払戻金(3件目。100円あたりの金額)
place_popularity_3string| null-複勝の人気(3件目)
place_horse_number_4string| null-複勝の的中馬番(4件目)
place_payoff_4string| null-複勝の払戻金(4件目。100円あたりの金額)
place_popularity_4string| null-複勝の人気(4件目)
place_horse_number_5string| null-複勝の的中馬番(5件目)
place_payoff_5string| null-複勝の払戻金(5件目。100円あたりの金額)
place_popularity_5string| null-複勝の人気(5件目)
bracket_quinella_number_1string| null-枠連の的中組番(1件目)
bracket_quinella_payoff_1string| null-枠連の払戻金(1件目。100円あたりの金額)
bracket_quinella_popularity_1string| null-枠連の人気(1件目)
bracket_quinella_number_2string| null-枠連の的中組番(2件目)
bracket_quinella_payoff_2string| null-枠連の払戻金(2件目。100円あたりの金額)
bracket_quinella_popularity_2string| null-枠連の人気(2件目)
bracket_quinella_number_3string| null-枠連の的中組番(3件目)
bracket_quinella_payoff_3string| null-枠連の払戻金(3件目。100円あたりの金額)
bracket_quinella_popularity_3string| null-枠連の人気(3件目)
quinella_number_1string| null-馬連の的中組番(1件目)
quinella_payoff_1string| null-馬連の払戻金(1件目。100円あたりの金額)
quinella_popularity_1string| null-馬連の人気(1件目)
quinella_number_2string| null-馬連の的中組番(2件目)
quinella_payoff_2string| null-馬連の払戻金(2件目。100円あたりの金額)
quinella_popularity_2string| null-馬連の人気(2件目)
quinella_number_3string| null-馬連の的中組番(3件目)
quinella_payoff_3string| null-馬連の払戻金(3件目。100円あたりの金額)
quinella_popularity_3string| null-馬連の人気(3件目)
quinella_place_number_1string| null-ワイドの的中組番(1件目)
quinella_place_payoff_1string| null-ワイドの払戻金(1件目。100円あたりの金額)
quinella_place_popularity_1string| null-ワイドの人気(1件目)
quinella_place_number_2string| null-ワイドの的中組番(2件目)
quinella_place_payoff_2string| null-ワイドの払戻金(2件目。100円あたりの金額)
quinella_place_popularity_2string| null-ワイドの人気(2件目)
quinella_place_number_3string| null-ワイドの的中組番(3件目)
quinella_place_payoff_3string| null-ワイドの払戻金(3件目。100円あたりの金額)
quinella_place_popularity_3string| null-ワイドの人気(3件目)
quinella_place_number_4string| null-ワイドの的中組番(4件目)
quinella_place_payoff_4string| null-ワイドの払戻金(4件目。100円あたりの金額)
quinella_place_popularity_4string| null-ワイドの人気(4件目)
quinella_place_number_5string| null-ワイドの的中組番(5件目)
quinella_place_payoff_5string| null-ワイドの払戻金(5件目。100円あたりの金額)
quinella_place_popularity_5string| null-ワイドの人気(5件目)
quinella_place_number_6string| null-ワイドの的中組番(6件目)
quinella_place_payoff_6string| null-ワイドの払戻金(6件目。100円あたりの金額)
quinella_place_popularity_6string| null-ワイドの人気(6件目)
quinella_place_number_7string| null-ワイドの的中組番(7件目)
quinella_place_payoff_7string| null-ワイドの払戻金(7件目。100円あたりの金額)
quinella_place_popularity_7string| null-ワイドの人気(7件目)
exacta_number_1string| null-馬単の的中組番(1件目)
exacta_payoff_1string| null-馬単の払戻金(1件目。100円あたりの金額)
exacta_popularity_1string| null-馬単の人気(1件目)
exacta_number_2string| null-馬単の的中組番(2件目)
exacta_payoff_2string| null-馬単の払戻金(2件目。100円あたりの金額)
exacta_popularity_2string| null-馬単の人気(2件目)
exacta_number_3string| null-馬単の的中組番(3件目)
exacta_payoff_3string| null-馬単の払戻金(3件目。100円あたりの金額)
exacta_popularity_3string| null-馬単の人気(3件目)
exacta_number_4string| null-馬単の的中組番(4件目)
exacta_payoff_4string| null-馬単の払戻金(4件目。100円あたりの金額)
exacta_popularity_4string| null-馬単の人気(4件目)
exacta_number_5string| null-馬単の的中組番(5件目)
exacta_payoff_5string| null-馬単の払戻金(5件目。100円あたりの金額)
exacta_popularity_5string| null-馬単の人気(5件目)
exacta_number_6string| null-馬単の的中組番(6件目)
exacta_payoff_6string| null-馬単の払戻金(6件目。100円あたりの金額)
exacta_popularity_6string| null-馬単の人気(6件目)
trio_number_1string| null-三連複の的中組番(1件目)
trio_payoff_1string| null-三連複の払戻金(1件目。100円あたりの金額)
trio_popularity_1string| null-三連複の人気(1件目)
trio_number_2string| null-三連複の的中組番(2件目)
trio_payoff_2string| null-三連複の払戻金(2件目。100円あたりの金額)
trio_popularity_2string| null-三連複の人気(2件目)
trio_number_3string| null-三連複の的中組番(3件目)
trio_payoff_3string| null-三連複の払戻金(3件目。100円あたりの金額)
trio_popularity_3string| null-三連複の人気(3件目)
trifecta_number_1string| null-三連単の的中組番(1件目)
trifecta_payoff_1string| null-三連単の払戻金(1件目。100円あたりの金額)
trifecta_popularity_1string| null-三連単の人気(1件目)
trifecta_number_2string| null-三連単の的中組番(2件目)
trifecta_payoff_2string| null-三連単の払戻金(2件目。100円あたりの金額)
trifecta_popularity_2string| null-三連単の人気(2件目)
trifecta_number_3string| null-三連単の的中組番(3件目)
trifecta_payoff_3string| null-三連単の払戻金(3件目。100円あたりの金額)
trifecta_popularity_3string| null-三連単の人気(3件目)
trifecta_number_4string| null-三連単の的中組番(4件目)
trifecta_payoff_4string| null-三連単の払戻金(4件目。100円あたりの金額)
trifecta_popularity_4string| null-三連単の人気(4件目)
trifecta_number_5string| null-三連単の的中組番(5件目)
trifecta_payoff_5string| null-三連単の払戻金(5件目。100円あたりの金額)
trifecta_popularity_5string| null-三連単の人気(5件目)
trifecta_number_6string| null-三連単の的中組番(6件目)
trifecta_payoff_6string| null-三連単の払戻金(6件目。100円あたりの金額)
trifecta_popularity_6string| null-三連単の人気(6件目)
refund_number_1string| null-返還馬番1(レース不成立等で返還された馬番)
refund_number_2string| null-返還馬番2(レース不成立等で返還された馬番)
refund_number_3string| null-返還馬番3(レース不成立等で返還された馬番)
refund_number_4string| null-返還馬番4(レース不成立等で返還された馬番)
refund_number_5string| null-返還馬番5(レース不成立等で返還された馬番)
updated_atstring| null-データ更新日時

関連エンドポイント